/*#region Global Components Style*/
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}
body {
    background: linear-gradient(to bottom, #a9c6de, #e7ecf0);
    background-repeat: no-repeat;
    width: 100%;
    height: 100vh;
}
.footer {
    position: fixed;
    bottom: 0;
    width: 100%;
    text-align: center;
}
.footer > a {
    color: black;
    font-weight: bold;
} 
/*#endregion*/

/* @media screen and (max-width: 375px) { * {font-size: 15px; }} Mobile
@media screen and (min-width: 820px) { * {font-size: 20px; }} Tablet 
@media screen and (min-width: 1200px) { * {font-size: 20px; }} Large Screen  */

/*#region NavBar*/
#navBar {
    display: flex;
    justify-content:space-between;
    height: 8vh;
}
#navBarIcon {
    max-height:fit-content;  
    width: auto;
}
.dropDown {
    background-color: #3b6e9e;
    color: white;
    width: 15vw;
    height: 5vh;
    font-size: 16px;
    border: none;
    cursor: pointer;
  }
  
  /* Dropdown button on hover & focus */
  .dropDown:hover, .dropDown:focus {
    background-color: #2980B9;
  }
  
  /* The container <div> - needed to position the dropdown content */
  .dropDown {
    position: relative;
    display: inline-block;
    border-radius: 1%;
  }
  
  /* Dropdown Content (Hidden by Default) */
  .dropDownContent {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 15vw;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    right: 0;
  }
  
  /* Links inside the dropdown */
  .dropDownContent a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }
  
  /* Change color of dropdown links on hover */
  .dropDownContent a:hover {background-color: #ddd;}
  /* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
  .show {display:block;}

/*#endregion*/

/*#region Login*/
#logIn {
    background-image: url("../image/logon_screen_background_2.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    display: flex;
    align-items: center;
}
#loginForm {
    background-color: #a9c6de;
    width: 25%;
    height: 35vh; 
    text-align: center;
    border-radius:  1%;
    justify-content: center;
    border: 1px solid #000;
}

#loginForm:nth-child(1) {
    margin-left: auto;
    margin-right: auto;
}

#imageMBTC {
    margin-top: 5%;
    height: 60%;
    width: 60%;
}

.logInInput {
    margin-bottom: 1%;
    width:  18.5rem;
    height: 2rem;
    font-size: 18px;
    padding: 5px;
    text-align: center;
}

#loginButton {
    margin-top: 2%;
    margin-bottom: 1%;
    font-size: 14px;
    font-weight: bold;
}

#forgotPassword {
    font-size: 14px;
    margin-left: auto;
    margin-right: auto;
}
/*#endregion*/

/*#region Main Launchpad*/
.pageHeader{
    display: flex;
    justify-content: center;
    color: #3b6e9e;
    background-color: yellow;
}
.menuHeader a {
    font-size:4vh;
    color: #557b9e;
    margin-top: 2.2rem;
    margin-left: 5.70rem;
    text-decoration: none;
    padding-bottom: .7rem;
    border-bottom: 2px solid #3b6e9e;
    pointer-events: none;
}
.menuButton{
    width: 15vw;
    height: 15vh;
    margin-top: 3vh;
    margin-left: 2vw;
}
.menuButton .addOnName {
    font-size:xx-large;
}

.buttonContainer{
    display: flex;
    margin-left: 4.5rem;
    display: flex;
    flex-wrap: wrap;
}

/* @media screen and (max-width: 600px) { .iconBtn :nth-child(1) {font-size: 15px; }}
@media screen and (min-width: 1200px) { .iconBtn :nth-child(1) {font-size: 20px; }}
.iconBtn{
    height: 8rem;
    width: 8rem;
    margin: .5rem .5rem .5rem .5rem;
    border:1px solid rgb(180, 189, 197);
    display: flex;
    flex-wrap: wrap;
    display: flex;
    margin-left: 4.5rem;
}

.iconBtn div{
    margin-top: .5rem;
    padding: 0;
}

.iconBtn .btnHeader{
    padding: 0;
    text-align:justify;
    color: rgb(94, 93, 93);
}

.iconBtn img{
    height: 35px;
    width: 35px;
    margin-top: 2rem;;
}

.iconBtn #approverCounter{
    margin-top: 2.5rem;
    margin-left: 3.5rem;
    font-size: 35px;
    color: dimgray;
}

.iconBtn #counterOne{
    margin-top: 2.5rem;
    margin-left: 3.5rem;
    font-size: 35px;
    color: dimgray;
}

.iconBtn #counterTwo{
    margin-top: 2.5rem;
    margin-left: 3.5rem;
    font-size: 35px;
    color: dimgray;
}


.btn-flex{
    display: flex;
    margin-bottom: -1rem;
}
#approverCounter{
    margin-left: -5rem;

}

#counterOne{
    margin-left: -5rem;

}
#counterTwo{
    margin-left: -5rem;

} */

/*#endregion*/

.Modal {
    display: none;
    position: absolute;
    left: 50%;
    top: 50%;
    border: 1px black solid;
    width: 90vw;
    height: 90vh;
    transform: translate(-50%, -50%);
    background-color: #f1f1f1;
}
.Modal .modalHeader,.modalFooter{
    background-color: #a9c6de;
    height: 4vh;
}
.modalHeader {
    position: fixed;
    top: 0;
    width: 100%;
    text-align: center;
}
.modalFooter {
    position: fixed;
    bottom: 0;
    width: 100%;
    text-align: right;
}
.menuButtonContainer {
    margin-top: 6vh;
}
label{
    margin-left: 1vw;
    font-size: large;
}
input{
    font-size: large;
}
#customerHeader{
    display: flex;
    background-color: yellow;
    height: 4vh;
    align-items:center;
    justify-content: space-between;
    border: #000 1px solid;
}
#customerHeader h5 {
    font-size: large;
}
#buttonRow{
    display: flex;
    background-color: #2980B9;
    height: 4vh;
    align-items: center;
    justify-content:baseline;
}
#buttonRow button {
    font-weight: bold;
    width: 8vw;
    height: 3vh;
    margin-left: 1vw;
}
.detailsHeader{
    display: flex; 
    justify-content: space-between;
    background-color: #3b6e9e;
    border: #000 1px solid;
    height: 4vh;
    align-items: center;
}
.detailsHeader button {
    height: 2vh;
}



